## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global extension   sound-output-device-chooser
%global uuid        %{extension}@kgshank.net

Name:           gnome-shell-extension-%{extension}
Version:        43
Release:        %autorelease
Summary:        GNOME Shell extension for selecting sound devices
License:        GPLv3+
BuildArch:      noarch
URL:            https://github.com/kgshank/gse-sound-output-device-chooser
Source:         %{url}/archive/%{version}/%{extension}-%{version}.tar.gz

BuildRequires:  gettext

Requires:       gnome-shell-extension-common
Requires:       python3

Recommends:     gnome-extensions-app


%description
Shows a list of sound output and input devices (similar to gnome sound
settings) in the status menu below the volume slider.  Various active ports
like HDMI, speakers, etc. of the same device are also displayed for selection.


%prep
%autosetup -n gse-%{extension}-%{version} -p 1

# relocate things we don't want copied into the extensions directory
mv %{uuid}/locale .
mv %{uuid}/schemas .

# fix wrong-file-end-of-line-encoding rpmlint warning
sed -e 's/\r$//' -i CHANGELOG.md


%install
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions

# install main extension files
cp -r --preserve=mode,timestamps %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

# install locale files
for po in locale/*/LC_MESSAGES/*.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/$(dirname $po)
    msgfmt --output-file %{buildroot}%{_datadir}/${po%.po}.mo $po
done
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc README.md CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 43-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Apr 23 2022 Carl George <carl@george.computer> 43-1
- Latest upstream, resolves: rhbz#2078058

* Fri Apr 08 2022 Carl George <carl@george.computer> 42-1
- Update to version 42 (Resolves: rhbz#2073529)

* Tue Mar 29 2022 Carl George <carl@george.computer> 40^2.4a6f0f2-2
- Add patch to really fix GNOME 42 compatibility

* Sun Mar 20 2022 Carl George <carl@george.computer> 40^2.4a6f0f2-1
- Latest upstream snapshot (GNOME 42 compatibility)

* Sun Jan 23 2022 Carl George <carl@george.computer> 40^1.0702290-1
- Latest upstream snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 39^1.8c90ed0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 29 2021 Carl George <carl@george.computer> 39^1.8c90ed0-1
- Initial package rhbz#1998703
